classification
Title: Demo/embed/demo.c use of PySys_SetArgv() is invalid
Type: compile error Stage:
Components: Demos and Tools Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, georg.brandl, ideasman42, loewis
Priority: normal Keywords:

Created on 2009-07-08 14:11 by ideasman42, last changed 2010-08-01 14:25 by georg.brandl. This issue is now closed.

Messages (3)
msg90267 - (view) Author: Campbell Barton (ideasman42) * Date: 2009-07-08 14:11
in python 3.2 (current rev 73893)
Demo/embed/demo.c passes a 'char **' to PySys_SetArgv rather then a
'wsize_t **'

Im also confused as to how this conversion should be made in a portable
way, without copying some farily large static functions from python's code.
msg112301 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-01 09:51
I can't see any sense in supplying a patch for what is a one word change to demo.c.  Can a C guru please comment on the OP's 2nd paragraph.
msg112332 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-01 14:25
Thanks, fixed in r83404.
History
Date User Action Args
2010-12-30 22:14:16georg.brandlunlinkissue7962 dependencies
2010-08-01 14:25:29georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112332

resolution: fixed
2010-08-01 09:51:04BreamoreBoysetnosy: + BreamoreBoy
messages: + msg112301
2010-07-04 16:58:32eric.araujolinkissue7962 dependencies
2009-07-08 19:20:06loewissetnosy: + loewis
2009-07-08 14:11:31ideasman42settype: compile error
2009-07-08 14:11:10ideasman42create